// To parse this JSON data, do
//

import 'dart:convert';

ContentAccesses contentAccessesFromJson(String str) =>
    ContentAccesses.fromJson(json.decode(str));

String contentAccessesToJson(ContentAccesses data) =>
    json.encode(data.toJson());

class ContentAccesses {
  ContentAccesses({
    required this.sessionExists,
    required this.accessTimeLeft,
    required this.freeAccess,
    required this.isAdfreePurchased,
    required this.payload,
    required this.consumptionId,
    required this.signature,
    required this.downloadExists,
  });

  bool sessionExists;
  int accessTimeLeft;
  bool freeAccess;
  bool isAdfreePurchased;
  Payload payload;
  String consumptionId;
  String signature;
  bool downloadExists;

  factory ContentAccesses.fromJson(Map<String, dynamic> json) =>
      ContentAccesses(
        sessionExists:
            // ignore: prefer_if_null_operators
            json["sessionExists"] == null ? null : json["sessionExists"],
        accessTimeLeft:
            // ignore: prefer_if_null_operators
            json["accessTimeLeft"] == null ? null : json["accessTimeLeft"],
        // ignore: prefer_if_null_operators
        freeAccess: json["freeAccess"] == null ? null : json["freeAccess"],
        // ignore: prefer_if_null_operators
        isAdfreePurchased: json["isAdfreePurchased"] == null
            ? null
            : json["isAdfreePurchased"],
        // ignore: prefer_if_null_operators
        payload: json["payload"] == null ? null : json["payload"],
        consumptionId:
            // ignore: prefer_if_null_operators
            json["consumptionId"] == null ? null : json["consumptionId"],
        // ignore: prefer_if_null_operators
        signature: json["signature"] == null ? null : json["signature"],
        downloadExists:
            // ignore: prefer_if_null_operators
            json["downloadExists"] == null ? null : json["downloadExists"],
      );

  Map<String, dynamic> toJson() => {
        // ignore: prefer_if_null_operators
        "sessionExists": sessionExists == null ? null : sessionExists,
        // ignore: prefer_if_null_operators, unnecessary_null_comparison
        "accessTimeLeft": accessTimeLeft == null ? null : accessTimeLeft,
        // ignore: prefer_if_null_operators, unnecessary_null_comparison
        "freeAccess": freeAccess == null ? null : freeAccess,
        "isAdfreePurchased":
            // ignore: prefer_if_null_operators, unnecessary_null_comparison
            isAdfreePurchased == null ? null : isAdfreePurchased,
        // ignore: prefer_if_null_operators, unnecessary_null_comparison, prefer_null_aware_operators
        "payload": payload == null ? null : payload.toJson(),
        // ignore: prefer_if_null_operators, unnecessary_null_comparison
        "consumptionId": consumptionId == null ? null : consumptionId,
        // ignore: prefer_if_null_operators, unnecessary_null_comparison
        "signature": signature == null ? null : signature,
        // ignore: prefer_if_null_operators, unnecessary_null_comparison
        "downloadExists": downloadExists == null ? null : downloadExists,
      };
}

class Payload {
  Payload({
    required this.clientId,
    required this.contentId,
    required this.createdAt,
  });

  String clientId;
  String contentId;
  DateTime createdAt;

  factory Payload.fromJson(Map<String, dynamic> json) => Payload(
        // ignore: prefer_if_null_operators, unnecessary_null_comparison
        clientId: json["clientId"] == null ? null : json["clientId"],
        // ignore: prefer_if_null_operators, unnecessary_null_comparison
        contentId: json["contentId"] == null ? null : json["contentId"],
        createdAt: DateTime.parse(json["createdAt"]),
      );

  Map<String, dynamic> toJson() => {
        // ignore: prefer_if_null_operators, unnecessary_null_comparison
        "clientId": clientId == null ? null : clientId,
        // ignore: prefer_if_null_operators, unnecessary_null_comparison
        "contentId": contentId == null ? null : contentId,
        // ignore: prefer_if_null_operators, unnecessary_null_comparison, prefer_null_aware_operators
        "createdAt": createdAt == null ? null : createdAt.toIso8601String(),
      };
}
