// ignore: file_names
import 'dart:convert';

ContentAccess contentAccessFromJson(String str) =>
    ContentAccess.fromJson(json.decode(str));

String contentAccessToJson(ContentAccess data) => json.encode(data.toJson());

class ContentAccess {
  ContentAccess({
    required this.sessionExists,
    required this.accessTimeLeft,
    required this.freeAccess,
  });

  bool sessionExists;
  int accessTimeLeft;
  bool freeAccess;

  factory ContentAccess.fromJson(Map<String, dynamic> json) => ContentAccess(
        sessionExists:
            // ignore: prefer_if_null_operators, unnecessary_null_comparison
            json["sessionExists"] == null ? null : json["sessionExists"],
        accessTimeLeft:
            // ignore: prefer_if_null_operators, unnecessary_null_comparison
            json["accessTimeLeft"] == null ? null : json["accessTimeLeft"],
        // ignore: prefer_if_null_operators, unnecessary_null_comparison
        freeAccess: json["freeAccess"] == null ? null : json["freeAccess"],
      );

  Map<String, dynamic> toJson() => {
        // ignore: prefer_if_null_operators, unnecessary_null_comparison
        "sessionExists": sessionExists == null ? null : sessionExists,
        // ignore: prefer_if_null_operators, unnecessary_null_comparison
        "accessTimeLeft": accessTimeLeft == null ? null : accessTimeLeft,
        // ignore: prefer_if_null_operators, unnecessary_null_comparison
        "freeAccess": freeAccess == null ? null : freeAccess,
      };
}
