// ignore: file_names
import 'dart:convert';

LoginChallengeget loginChallengegetFromJson(String str) =>
    LoginChallengeget.fromJson(json.decode(str));

String loginChallengegetToJson(LoginChallengeget data) =>
    json.encode(data.toJson());

class LoginChallengeget {
  LoginChallengeget({
    required this.loginChallengeId,
    required this.sessionId,
    required this.redirectTo,
  });

  String loginChallengeId;
  String sessionId;
  String redirectTo;

  factory LoginChallengeget.fromJson(Map<String, dynamic> json) =>
      LoginChallengeget(
        loginChallengeId:
            // ignore: prefer_if_null_operators, unnecessary_null_comparison, prefer_null_aware_operators
            json["loginChallengeId"] == null ? null : json["loginChallengeId"],
        // ignore: prefer_if_null_operators, unnecessary_null_comparison, prefer_null_aware_operators
        sessionId: json["sessionId"] == null ? null : json["sessionId"],
        // ignore: prefer_if_null_operators, unnecessary_null_comparison, prefer_null_aware_operators
        redirectTo: json["redirectTo"] == null ? null : json["redirectTo"],
      );

  Map<String, dynamic> toJson() => {
        // ignore: prefer_if_null_operators, unnecessary_null_comparison, prefer_null_aware_operators
        "loginChallengeId": loginChallengeId == null ? null : loginChallengeId,
        // ignore: prefer_if_null_operators, unnecessary_null_comparison, prefer_null_aware_operators
        "sessionId": sessionId == null ? null : sessionId,
        // ignore: prefer_if_null_operators, unnecessary_null_comparison, prefer_null_aware_operators
        "redirectTo": redirectTo == null ? null : redirectTo,
      };
}
