import 'package:shared_preferences/shared_preferences.dart';

class SharedPref {
  // ignore: constant_identifier_names
  static const SESSION_ID = 'sessionId';
  // ignore: constant_identifier_names
  static const ANON_ID = 'anonId';
  // ignore: constant_identifier_names
  static const CLIENT_ID = 'clientId';
  // ignore: constant_identifier_names
  static const API_MODE = 'apiMode';
  // ignore: constant_identifier_names
  static const CONTENT_ID = 'content_id';

  Future<String?>? getSessionId() async {
    final prefs = await SharedPreferences.getInstance();
    return prefs.getString(SESSION_ID);
  }

  Future<bool> setSessionId(String sessionId) async {
    final prefs = await SharedPreferences.getInstance();
    return prefs.setString(SESSION_ID, sessionId);
  }

  Future<String?>? getAnonId() async {
    final prefs = await SharedPreferences.getInstance();
    return prefs.getString(ANON_ID);
  }

  Future<bool> setAnonId(String sessionId) async {
    final prefs = await SharedPreferences.getInstance();
    return prefs.setString(ANON_ID, sessionId);
  }

  Future<String?>? getClientId() async {
    final prefs = await SharedPreferences.getInstance();
    return prefs.getString(CLIENT_ID);
  }

  Future<Future<bool>> setClientId(String clientId) async {
    final prefs = await SharedPreferences.getInstance();
    return prefs.setString(CLIENT_ID, clientId);
  }

  Future<Future<bool>> setApiMode(String apiMode) async {
    final prefs = await SharedPreferences.getInstance();
    return prefs.setString(API_MODE, apiMode);
  }

  Future<String?>? getApiMode() async {
    final prefs = await SharedPreferences.getInstance();
    return prefs.getString(API_MODE);
  }

  Future<Future<bool>> setContentId(String contentId) async {
    final prefs = await SharedPreferences.getInstance();
    return prefs.setString(CONTENT_ID, contentId);
  }

  Future<String?>? getContentId() async {
    final prefs = await SharedPreferences.getInstance();
    return prefs.getString(CONTENT_ID);
  }
}
